parcoord {MASS} | R Documentation

## Parallel Coordinates Plot

### Description

Parallel coordinates plot

### Usage

    parcoord(x, col = 1, lty = 1, var.label = FALSE, ...)

### Arguments

`x` | a matrix or data frame who columns represent variables. Missing values are allowed.
`col` | A vector of colours, recycled as necessary for each observation.
`lty` | A vector of line types, recycled as necessary for each observation.
`var.label` | If `TRUE`, each variable's axis is labelled with maximum and minimum values.
`...` | Further graphics parameters which are passed to `matplot`.

### Side Effects

a parallel coordinates plots is drawn.

### Author(s)

B. D. Ripley. Enhancements based on ideas and code by Fabian Scheipl.

### References

Wegman, E. J. (1990) Hyperdimensional data analysis using parallel coordinates. Journal of the American Statistical Association 85, 664–675.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### Examples

    parcoord(state.x77[, c(7, 4, 6, 2, 5, 3)])

    ir <- rbind(iris3[,,1], iris3[,,2], iris3[,,3])
    parcoord(log(ir)[, c(3, 4, 2, 1)], col = 1 + (0:149)%/%50)

[Package MASS version 7.3-18 Index]